Subject: bug#14201: guile build issue under Mac OS X

From: [email-masked] (Ludovic Courtès)
Date: Mon, 15 Apr 2013 00:11:24 +0200

[email-masked] (Ludovic Courtès) skribis:

> (For some reason that line in the tarball would refer to a local file
> name instead of /bin/sh.  I’ll investigate to see how it ended up here.)

For the record, the problem is that the scripts installed by
‘automake -a’, with Automake from Guix, would contain “patched” shebangs
referring to files under /nix/store:

  http://lists.gnu.org/archive/html/bug-guix/2013-04/msg00076.html

This is a serious issue that I’ve fixed now.

The Guile 2.0.9 tarball has several scripts in build-aux/ with invalid
shebangs.  “Fortunately”, apart from ‘install-sh’, they are normally
invoked as “$SHELL ./the-file”, so the shebang isn’t actually used.

Please accept my apologies...

Ludo’.